#define USE_AND_OR /* To enable AND_OR mask setting */
#include <ports.h>
#include "PPS.h"

// *****************************************************************************
// *****************************************************************************
// Configuration Bits
// *****************************************************************************
// *****************************************************************************

        _CONFIG1(WDTPS_PS1 & FWPSA_PR32 & WINDIS_OFF & FWDTEN_OFF & ICS_PGx1 & GWRP_OFF & GCP_OFF & JTAGEN_OFF)
        _CONFIG2(POSCMOD_HS & I2C1SEL_PRI & IOL1WAY_OFF & OSCIOFNC_ON & FCKSM_CSDCMD & FNOSC_PRIPLL & PLL96MHZ_ON & PLLDIV_NODIV & IESO_ON)
        _CONFIG3(WPFP_WPFP0 & SOSCSEL_IO & WUTSEL_LEG & WPDIS_WPDIS & WPCFG_WPCFGDIS & WPEND_WPENDMEM)
        _CONFIG4(DSWDTPS_DSWDTPS3 & DSWDTOSC_LPRC & RTCOSC_SOSC & DSBOREN_OFF & DSWDTEN_OFF)

	/* SOSCSEL_IO setting in CONFIG3 to use RA4 and RB4 pins as digital ones */ 
// *****************************************************************************

void __attribute__((interrupt,no_auto_psv)) _INT1Interrupt(void)
{
	LATBbits.LATB15=!LATBbits.LATB15;
	Int1_Clear_Intr_Status_Bit;
}


int main(void)
{
    CLKDIV = 0;        // system clock: 32MHz

	AD1PCFG = 0xffff; /*set AN pins to digital pin */
	TRISB = 0x7fff;	/* set PORTB RB15 (pin #26) to output*/
					/* "0" corresponds to "o"utput and "1" to "i"nput */

	CNPU1=0x0002;	/* Pull up CN1 pin  pin#11*/
//	CNPU2=0x20;	//pin#18 pull-up CN21
	LATBbits.LATB15=1;

	/*Configure pin#11 RP4 as a external interrupt #1*/
	iPPSInput(IN_FN_PPS_INT1,IN_PIN_PPS_RP4);
	ConfigINT1(INT_ENABLE | FALLING_EDGE_INT | INT_PRI_1); /*Enable inerrupt*/

	while(1);

}

